<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
  <xsl:output method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>
  <xsl:strip-space elements='*'/>

<!-- Narval prototype ====================================================== -->

<prototype>
 <description lang="en">Transforms LDAP results into agent-def elements</description>
 <description lang="fr">Transforme les rsultats de la recherche en lments agent-def</description>
 <input><match>agent-name/text()</match></input>
 <input use='yes' list='yes'><match>ldap-entries</match></input>
 <input optional='yes' list='yes' id='old-agent'><match>agent-def</match></input>
 <output list='yes' outdates='old-agent'><match>agent-def</match></output>
</prototype>

<xsl:template match='//arguments'>
  <xsl:apply-templates select='ldap-entries/entry'/>
</xsl:template>

<xsl:template match='entry[objectclass/text()="narvalassistant"]'>
  <xsl:if test="status/text()='on'">
   <agent-def>
    <xsl:if test='cn/text()=//agent-name/text()'>
      <xsl:attribute name='type'>self</xsl:attribute>
    </xsl:if>
    <name><xsl:value-of select='cn/text()'/></name>
    <address><xsl:value-of select='concat(host/text(),":",port/text())'/></address>
    <owner>
     <name><xsl:value-of select='assistantof/text()'/></name>
     <email><xsl:value-of select='substring-before(../../ldap-entries/entry[objectclass/text()="person" and cn/text()=current()/assistantof/text()]/mail/text(),",")'/></email>
    </owner>
   </agent-def>
  </xsl:if>
</xsl:template>

<xsl:template match='entry'/>
</xsl:transform>
