<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
  <xsl:output method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>
  <xsl:strip-space elements='*'/>

<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Extraire le compromis rsultant de la ngociation.</description>
<description lang="en">Extracts the compromise resulting from negociation.</description>
<input use='yes'><match>negociation[@subject='event scheduling' and @status='accepted']</match></input>
<output list='yes'><match>compromise</match></output>
</prototype>

<!-- root ================================================================== -->

  <xsl:template match='arguments'>
    <xsl:apply-templates select='negociation'/>
  </xsl:template>

  <xsl:template match='negociation'>
    <compromise>
      <xsl:apply-templates select='cycle[last()]/proposal/VEVENT'/>
    </compromise>
  </xsl:template>

  <xsl:template match='VEVENT'>
    <xsl:copy>
      <SUMMARY>
        <xsl:value-of select='substring-after(SUMMARY/text(),"XXX")'/>
      </SUMMARY>
      <xsl:copy-of select='*[name()!="SUMMARY"]'/>
    </xsl:copy>
  </xsl:template>

</xsl:transform>

