<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
  <xsl:output method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>
  <xsl:strip-space elements='*'/>

<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Evaluer les conflits entre une tentative de VEVENT et l'agenda courant.</description>
<description lang="en">Evaluates conflicts between a VEVENT tentative and calendar current state.</description>
<input use='yes'><match>message[@type='incoming' and header/type/text()='negociation' and header/subject/text()='event scheduling' and body/proposal]</match></input>
<input><match>VCALENDAR</match></input>
<output><match>constraints</match></output>
</prototype>

<!-- root ================================================================== -->

  <xsl:template match='//arguments'>
    <xsl:variable name='start'>
      <xsl:value-of select='message/body/proposal/VEVENT/extension[@x-name="X-NARVAL-DTINTERSTART"]/text()'/>
    </xsl:variable>
    <xsl:variable name='end'>
      <xsl:value-of select='message/body/proposal/VEVENT/extension[@x-name="X-NARVAL-DTINTEREND"]/text()'/>
    </xsl:variable>
    <constraints start='{$start}' end='{$end}'>
      <xsl:copy-of select='VCALENDAR/VEVENT[not(starts-with(SUMMARY,"XXX")) and concat(substring(DTSTART/text(),1,8),substring(DTSTART/text(),10,6))&lt;concat(substring($end,1,8),substring($end,10,6)) and concat(substring(DTEND/text(),1,8),substring(DTEND/text(),10,6))>concat(substring($start,1,8),substring($start,10,6))]'/>
    </constraints>
  </xsl:template>

</xsl:transform>

