<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
  <xsl:output method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>
  <xsl:strip-space elements='*'/>

<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Extraire le noeud  insrer du message reu.</description>
<description lang="en">Extract the node to insert from incoming message.</description>
<input use='yes'><match>message[@type='incoming' and header/subject/text()='event scheduling' and body/compromise]</match></input>
<input><match>agent-def[@type="self"]</match></input>
<output><match>VEVENT</match></output>
</prototype>

<!-- root ================================================================== -->

  <xsl:template match='arguments/message/body/compromise/VEVENT'>
    <xsl:copy>
      <xsl:apply-templates mode='a'/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match='ATTENDEE' mode='a'>
      <xsl:variable name='to_addr' select='substring-after(text(),"MAILTO:")'/>
      <xsl:variable name='to_mail'>
        <xsl:choose>
          <xsl:when test='contains($to_addr,"&lt;")'>
            <xsl:value-of select='substring-before(substring-after($to_addr,"&lt;"),">")'/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select='$to_addr'/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:variable>
      <xsl:if test='$to_mail!=//agent-def[@type="self"]/owner/email/text()'>
       <xsl:copy-of select='.'/>
      </xsl:if>
  </xsl:template>

  <xsl:template match='*' mode='a'>
    <xsl:copy-of select='.'/>
  </xsl:template>

</xsl:transform>

