<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
  <xsl:output method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>
  <xsl:strip-space elements='*'/>

<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Crer un message de proposition  l'intention de chaque ATTENDEE.</description>
<description lang="en">Makes a proposal message an hour to every ATTENDEE.</description>
<input use='yes'><match>negociation[@type='place-event']</match></input>
<input use='yes' id='body'/>
<input optional='yes' id='subject'/>
<output list='yes'><match>message</match></output>
</prototype>

<!-- root ================================================================== -->

  <xsl:template match='arguments'>
    <xsl:apply-templates select='negociation/attendee'/>
  </xsl:template>

  <xsl:template match='attendee'>
    <message type='outgoing'>
      <header>
        <to><xsl:value-of select='@url'/></to>
        <subject><xsl:value-of select='../../*[@input-id="subject"]/text()'/></subject>
        <negociation><xsl:value-of select='../@id'/></negociation>
        <attendee><xsl:value-of select='@id'/></attendee>
        <type>request</type>
      </header>
      <body>
        <xsl:apply-templates select='../../*[@input-id="body"]'/>
      </body>
    </message>
  </xsl:template>

  <xsl:template match='*[@input-id="body"]'>
    <xsl:copy>
<!--
      <xsl:copy-of select='@*[name()!="from_plan" and name()!="eid" and name()!="from_step" and name()!="input-id" and name()!="timestamp"]'/>
      <xsl:copy-of select='*'/>
      <xsl:copy-of select='text()'/>
-->
      <xsl:copy-of select='@*[name()!="from_plan" and name()!="eid" and name()!="from_step" and name()!="input-id" and name()!="timestamp"]|*|text()'/>
    </xsl:copy>
  </xsl:template>

</xsl:transform>

