<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
  <xsl:output method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>
  <xsl:strip-space elements='*'/>

<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Mettre  jour la structure negociation avec la rponse d'un agent.</description>
<description lang="en">Updates negociation structure with one agent's answer.</description>
<input id='nego'><match>negociation[@status='waiting']</match></input>
<input use='yes'><match>message[@type='incoming' and header/subject/text()='can-place-event' and header/type/text()='answer']</match></input>
<output outdates='nego'><match>negociation</match></output>
</prototype>

<!-- root ================================================================== -->

  <xsl:template match='//arguments'>
    <xsl:apply-templates select='negociation'/>
  </xsl:template>

  <xsl:template match='negociation'>
    <negociation>
      <xsl:copy-of select='@*'/>
      <xsl:if test='count(cycle[last()]/evaluation)=count(attendee)-1'>
        <xsl:attribute name='status'>to evaluate</xsl:attribute>
      </xsl:if>
      <xsl:copy-of select='request|attendee'/>
      <xsl:apply-templates select='cycle'/>
    </negociation>
  </xsl:template>

  <xsl:template match='cycle'>
    <xsl:copy-of select='.'/>
  </xsl:template>

  <xsl:template match='cycle[last()]'>
    <xsl:copy>
      <xsl:copy-of select='*'/>
      <event-evaluation attendee='{//arguments/message/header/attendee/text()}'><xsl:value-of select='//arguments/message/body/event-evaluation/text()'/></event-evaluation>
    </xsl:copy>
  </xsl:template>

</xsl:transform>

