<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
  <xsl:output method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>
  <xsl:strip-space elements='*'/>

<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Mettre  jour la structure negociation avec les rponses des agents.</description>
<description lang="en">Updates negociation structure with agents'answers.</description>
<input id='nego'><match>negociation[@status='accepted']</match></input>
<input use='yes'><match>message[@type='incoming' and header/subject/text()='place-event' and header/type/text()='answer']</match></input>
<output outdates='nego'><match>negociation</match></output>
</prototype>

<!-- root ================================================================== -->

  <xsl:template match='arguments'>
    <xsl:apply-templates select='negociation'/>
  </xsl:template>

  <xsl:template match='negociation'>
    <xsl:variable name='id' select='../message/header/attendee/text()'/>
    <negociation>
      <xsl:copy-of select='@*'/>
      <xsl:if test='not(attendee[@id!=$id and @status!="confirmed"])'>
        <xsl:attribute name='status'>terminated</xsl:attribute>
      </xsl:if>
      <xsl:copy-of select='request'/>
      <xsl:apply-templates select='attendee[@id=$id]' mode='id'/>
      <xsl:apply-templates select='attendee[@id!=$id]' mode='nonid'/>
      <xsl:copy-of select='cycle'/>
    </negociation>
  </xsl:template>

  <xsl:template match='attendee' mode='id'>
    <attendee>
      <xsl:copy-of select='@*'/>
      <xsl:attribute name='status'>confirmed</xsl:attribute>
    </attendee>
  </xsl:template>

  <xsl:template match='attendee' mode='nonid'>
    <xsl:copy-of select='.'/>
  </xsl:template>

</xsl:transform>

