<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:transform xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>
  <xsl:output method='xml' indent='yes' encoding='ISO-8859-1' version='1.0'/>
  <xsl:strip-space elements='*'/>

<!-- Narval prototype ====================================================== -->

<prototype>
<description lang="fr">Crer la structure de donnes initiale de la ngociation.</description>
<description lang="en">Creates initial data structure for the negociation.</description>
<input use='yes'><match>event-request</match></input>
<input use='yes'><match>event-proposal</match></input>
<input list='yes'><match>agent-def</match></input>
<output><match>negociation[@subject='event scheduling' and @status='new']</match></output>
</prototype>

<!-- root ================================================================== -->

  <xsl:template match='arguments'>
    <xsl:apply-templates select='event-proposal/VEVENT'/>
  </xsl:template>

  <xsl:template match='VEVENT'>
    <negociation subject='event scheduling' id='{../@eid}' status='new'>
      <request><xsl:copy-of select='../../event-request'/></request>
      <xsl:apply-templates select='ATTENDEE'/>
<!--      <participant id='0' url='{../../agent-def[@type="self"]/address/text()}' email='{../../agent-def[@type="self"]/owner/email/text()}'/> -->
      <cycle><proposal>
        <xsl:copy-of select='.'/>
      </proposal></cycle>
    </negociation>
  </xsl:template>

  <xsl:template match='ATTENDEE'>
    <xsl:if test='contains(text(),"MAILTO")'>
      <xsl:variable name='to_addr' select='substring-after(text(),"MAILTO:")'/>
      <xsl:variable name='to_mail'>
        <xsl:choose>
          <xsl:when test='contains($to_addr,"&lt;")'>
            <xsl:value-of select='substring-before(substring-after($to_addr,"&lt;"),">")'/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select='$to_addr'/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:variable>
      <xsl:variable name='to_url' select='../../../agent-def[owner/email/text()=$to_mail]/address/text()'/>
      <xsl:choose>
       <xsl:when test='$to_url'>
        <participant id='{count(preceding-sibling::ATTENDEE)+1}' url='{$to_url}' email='{$to_mail}'/>
       </xsl:when>
       <xsl:otherwise> 
         <unreachable id='{count(preceding-sibling::ATTENDEE)+1}' email='{$to_mail}'/>
       </xsl:otherwise>
      </xsl:choose>
    </xsl:if>
  </xsl:template>
</xsl:transform>

